<div class="ui grid stackable search-form centered">
    <div class="ten wide computer twelve wide tablet column">
        <div class="ui card width-full">
            <div class="content">
                <form method="get" class="width-full filter-form" style="display: table;">
                    <div class="ui grid centered middle aligned stackable">
                    <div class="seven wide column center aligned">
                            <div class="ui search">
                                <div class="ui icon input">
                                    <input class="prompt comp-input-search" name="${_result.getParamAble().getSearchKey()}" type="text" placeholder="Keyword..." value="${_result.getParamAble().getKeyword()}">
                                    <i class="search icon"></i>
                                </div>
                            </div>
                    </div>
                    <div class="seven wide column center aligned">
                        <div class="ui selection dropdown component-dropdown">
                            <input type="hidden" name="${_result.getParamAble().getSortKey()}" value="${_result.getParamAble().getSort()}">
                            <i class="dropdown icon"></i>
                            <div class="default text" style="top:unset;color:black;">${_result.getParamAble().getSortLabel()}</div>
                            <div class="menu">
                                #{list items:repositories.searchcontent.ElasticRepository.SORTS, as:'sort'}
                                    <div class="item" data-value="${sort_index - 1}">${sort}</div>
                                #{/list}
                            </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>

#{set 'filterScripts'}
<script>
    $('.component-dropdown').dropdown({
        action: 'hide',
        onChange: function(value, text, $selectedItem) {
            $(".filter-form").submit();
    }});
</script>
#{/set}
